// Record model
class Record {
  final String status;
  final String time;
  final bool isOpen;

  Record({
    required this.status,
    required this.time,
    required this.isOpen,
  });
}

// RecordGroup model to group records by date
class RecordGroup {
  final DateTime date;
  final List<Record> records;

  RecordGroup({
    required this.date,
    required this.records,
  });
}
